Cyberduck Mountain Duck CLI

#8655 closed defect (fixed)

Downloads always finish as incomplete when using multiple connections

Reported by: didot Owned by: dkocher
Priority: normal Milestone: 4.7
Component: ftp Version: 4.6.5
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

When pulling more than one file to download, or pulling an entire folder, with transfer preferences set to "Open Multiple Connections," the transfer always fails immediately. It seems to be okay on files that are only a few kilobytes, but once you get into trying to pull an entire folder, or multiple larger files it always fails. Applies to 4.6.5 with the hidden config options set, as well as 4.7.

Attachments (1)

Screen Shot 2015-03-11 at 12.57.30 PM.png (211.9 KB) - added by didot on Mar 11, 2015 at 7:57:58 PM.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Mar 13, 2015 at 9:04:39 PM by dkocher

  • Milestone set to 4.7

comment:3 Changed on Mar 30, 2015 at 1:38:38 PM by dkocher

  • Status changed from new to assigned
  • Summary changed from Transfers always go to incomplete when using "open multiple connections" to Transfers always finish as incomplete when using multiple connections

comment:4 Changed on Mar 30, 2015 at 1:38:51 PM by dkocher

  • Summary changed from Transfers always finish as incomplete when using multiple connections to Downloads always finish as incomplete when using multiple connections

comment:5 Changed on Apr 1, 2015 at 2:38:58 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fix and test in r17220.

Note: See TracTickets for help on using tickets.
swiss made software